Python
import os
from qaip import Qaip
client = Qaip(
api_key=os.environ.get("QAIP_API_KEY"), # This is the default and can be omitted
)
github = client.githubs.retrieve(
"id",
)
print(github.id)curl --request GET \
--url https://developer.qaip.com/api/v1/githubs/{id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://developer.qaip.com/api/v1/githubs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"ingestion_setting_id": "<string>",
"name": "<string>",
"repository": "<string>",
"reference_type": "default",
"status": "unknown",
"path_filters": [
"<string>"
],
"reference_param": "<string>",
"creation_time": 123,
"start_time": 123,
"end_time": 123,
"error": {
"title": "<string>",
"message": "<string>"
},
"metadata": {
"records": [
{
"key": "<string>",
"val": "<string>",
"type": "string"
}
]
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}References
Get GitHub data source details
Gets detailed information about a specific GitHub data source.
Required scope: ingestion:manage
GET
/
githubs
/
{id}
Python
import os
from qaip import Qaip
client = Qaip(
api_key=os.environ.get("QAIP_API_KEY"), # This is the default and can be omitted
)
github = client.githubs.retrieve(
"id",
)
print(github.id)Authorizations
API key for authentication
Path Parameters
GitHub data source ID
Response
Successful retrieval of GitHub data source
GitHub data source ID
GitHub ingestion setting ID
Name of the GitHub ingestion setting
GitHub repository in owner/repo format (e.g. "octocat/Hello-World")
Git reference type
Available options:
default, branch, tag, commit Job status
Available options:
unknown, queued, not_started, managed, starting, started, success, failure, canceling, canceled, deleting, delete_job_failure Path filter patterns
Reference parameter (branch name, tag name, or commit hash)
Creation time (Unix timestamp in seconds)
Job start time (Unix timestamp in seconds)
Job end time (Unix timestamp in seconds)
Show child attributes
Show child attributes
(reserved for future use) Additional metadata for the GitHub data source
Show child attributes
Show child attributes

